<?php
get_header();

$paged = get_query_var('paged') ? get_query_var('paged') : 1;
if ($_GET['by'] == "view") {


    //echo "by views";
    $query = new WP_Query(array('paged' => $paged, 'orderby' => 'meta_value_num', 'meta_key' => 'video-views', 'order' => 'DESC'));
} else if ($_GET['by'] == "time") {


    //echo "by views";
    $query = new WP_Query(array('paged' => $paged, 'orderby' => 'meta_value_num', 'meta_key' => 'video-time', 'order' => 'DESC'));
} else if ($_GET['by'] == "rating") {


    //echo "by views";
    $query = new WP_Query(array('paged' => $paged, 'orderby' => 'meta_value_num', 'meta_key' => 'ratings_average', 'order' => 'DESC'));
} else if ($_GET['by'] == "recent" || !isset($_GET['by'])) {
    $query = new WP_query(array('paged' => $paged, 'order' => 'DESC'));
}
?>
<div id="maincont"><!--maincont-->
    <?php include(TEMPLATEPATH . '/home_sidebar.php') ?>
    <div id="content"><!--content-->
        <?php
        if (is_home() && !(is_paged()))
            include(TEMPLATEPATH . '/feat-slider.php');
        ?>
        <div class="contentbg"><div class="contenttop"><div class="contentbtm">
                    <div class="postcont"><!--postcont-->
                        <?php if (get_option(THEME_PREFIX . "home_text")) { ?>
                            <h2 class="maintitle"><?php echo get_option(THEME_PREFIX . "home_text") ?></h2>
                        <?php } else { ?>
                            <h2 class="maintitle">Latest Videos</h2>
                            <?php
                        }


                        if ($query->have_posts()) :
                            ?>
                            <?php
                            $i = 0;
                            while ($query->have_posts()) : $query->the_post();
                                $i++;
                                ?>

                                <div class="postbox">

                                    <div class="boxentry">
                                        <a href="<?php the_permalink(); ?>" rel="bookmark">

                                            <?php if (has_post_thumbnail()) { ?>
                                                <?php the_post_thumbnail('entry-thumb', array('class' => 'entry-thumb')); ?>
                                            <?php } else { ?>
                                                <?php $img_url = get_post_meta(get_the_ID(), 'video-thumb', TRUE); ?>
                                                <?php if ($img_url != null) { ?><img width="179" height="142" src="<?php echo $img_url; ?>" alt="<?php the_title(); ?>" class="entry-thumb"/><?php } ?>
                                        <?php } ?>
                                        </a>
                                            <?php if (get_post_meta(get_the_ID(), 'video-time', true)) { ?>
                                            <small class="time"> <?php
                                                if ((get_post_meta(get_the_ID(), 'video-time', true)) > 3599) {
                                                    echo gmdate("H:i:s", get_post_meta(get_the_ID(), 'video-time', true));
                                                } else {
                                                    echo gmdate("i:s", get_post_meta(get_the_ID(), 'video-time', true));
                                                }
                                                ?> </small>
        <?php } ?>
                                    </div>
                                    <div class="boxmetadata"><!--boxmetadata-->

                                        <h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title_attribute(); ?>"><?php echo tube_get_limited_string($post->post_title, 26); ?></a></h2>

                                        <div class="metalft">

        <?php if (function_exists('the_ratings')) { ?><div class="rating"><?php the_ratings(); ?></div><?php } ?> 
                                        </div>
                                        <div class="metargt">
        <?php if (function_exists('the_views')) { ?><span class="views"><?php the_views(); ?></span><?php } ?>

                                            <div class="entry-meta"> <span class="entry-comment"> Views : <?php do_action('dispview'); ?> </span> </div><!-- .entry-meta -->


                                        </div>
                                    </div><!--boxmetadata-->
                                </div>

                                <?php if ($i % 3 == 0) : ?><div class="clear"></div><?php endif; ?>

                                <?php
                            endwhile;
                            wp_reset_query();
                            ?>
    <?php ?>
                            <!-- navigation -->
                            <div class="navigation">
                                <?php
                                if (function_exists('wp_pagenavi'))
                                    wp_pagenavi();
                               
                                ?>


                            </div>
                            <!-- /navigation -->

                            <?php
                        else :
                            ?><p class="nopost">Sorry, but you are looking for something that isn't here.</p><?php
                        endif;
                        ?>


<?php get_footer(); ?>