<?php

	$option_fields[] = $footer_ad_code = THEME_PREFIX . "footer_ad_code";	
	$option_fields[] = $hide_ftdcode = THEME_PREFIX . "hide_ftdcode";
	$option_fields[] = $hide_footerad = THEME_PREFIX . "hide_footerad";
	$option_fields[] = $footerad_img = THEME_PREFIX . "footerad_img";
	$option_fields[] = $footerad_url = THEME_PREFIX . "footerad_url";
	$option_fields[] = $new_footer_tab = THEME_PREFIX . "new_footer_tab";
	
	$option_fields[] = $hide_footerwidget = THEME_PREFIX . "hide_footerwidget";

	$option_fields[] = $footer_text = THEME_PREFIX . "footer_text";
	
	$option_fields[] = $headerpage_hide = THEME_PREFIX . "footerpage_hide";
	$option_fields[] = $footerpage_id = THEME_PREFIX . "footerpage_id";

?>

<div class="postbox">
    <h3>Footer Customization</h3>
    
    <div class="inside">

        <p><strong>Show footer widget area</strong></p>
        
		<p>
			<label for="hide_footerwidget">
				<input class="checkbox" id="hide_footerwidget" type="checkbox" name="<?php echo THEME_PREFIX; ?>hide_footerwidget" <?php if(get_option(THEME_PREFIX . 'hide_footerwidget')) : ?>checked="checked" <?php endif ?> value="true" /> Hide footer widget area...
			</label>
		</p>

    	<p><strong>Enter your footer text .</strong></p>
        
    	<p><textarea class="option-area" id="<?php echo $footer_text; ?>" name="<?php echo $footer_text; ?>"><?php echo get_option($footer_text); ?></textarea></p>

    	<p><strong>Check if you want to remove the footer page menu</strong></p>
        
        <p>
			<label for="new_tab">
				<input class="checkbox" id="footerpage_hide" type="checkbox" name="<?php echo THEME_PREFIX; ?>footerpage_hide" <?php if(get_option(THEME_PREFIX . 'footerpage_hide')) : ?>checked="checked" <?php endif ?> value="true" /> Hide footer menu...
			</label>
		</p>

		<p><strong>Put the page id you want to show in your footer area</strong></p>
    	<p><input class="option-field-medium" id="<?php echo $footerpage_id; ?>" type="text" name="<?php echo $footerpage_id; ?>" value="<?php echo get_option($footerpage_id); ?>" /></p>
        
    	
    	<p class="submit">
    		<input type="submit" class="button" value="Save Changes" />
    	</p>
    </div> <!-- inside -->
</div> <!-- postbox -->