<?php
	$option_fields[] = $favicon = THEME_PREFIX . "favicon";
	
	$option_fields[] = $logo = THEME_PREFIX . "logo";
	$option_fields[] = $logo_text = THEME_PREFIX . "logo_text";
	
	$option_fields[] = $ad_code = THEME_PREFIX . "header_ad_code";	
	$option_fields[] = $hide_hadcode = THEME_PREFIX . "hide_hadcode";
	$option_fields[] = $hide_headerad = THEME_PREFIX . "hide_headerad";
	$option_fields[] = $headerad_img = THEME_PREFIX . "headerad_img";
	$option_fields[] = $headerad_url = THEME_PREFIX . "headerad_url";
	$option_fields[] = $new_tab = THEME_PREFIX . "new_tab";
	
	$option_fields[] = $headerpage_hide = THEME_PREFIX . "headerpage_hide";
	$option_fields[] = $headerpage_id = THEME_PREFIX . "headerpage_id";

?>

<div class="postbox">
    <h3>Header Customization</h3>
    
    <div class="inside">
    
		<p>Use the options below to upload and configure a custom favicon. It is recommended that you use an image that is proportionally square (e.g. "50px x 50px").</p>
		<input type="hidden" name="MAX_FILE_SIZE" value="3000000" />
		
		<label class="upload">
			<p><input class="file" id="favicon_upload" type="file" name="<?php echo THEME_PREFIX; ?>favicon_upload" /></p>
		</label>
		
		<?php if (get_option($favicon)) { ?>
			<p>
				<label for="delete_favicon">
					<input class="checkbox" id="delete_favicon" type="checkbox" name="<?php echo THEME_PREFIX; ?>delete_favicon" value="true" /> Delete Favicon...
				</label>
			</p>
			<img class="image-preview" src="<?php echo get_option($favicon); ?>" alt="Favicon Preview" />
		<?php } ?>
		
		<input type="hidden" name="<?php echo $favicon; ?>" value="<?php echo get_option($favicon); ?>" />
    
    

		<p>Upload your company Logo image. Or, enter optional white text name logo. (Maximum image dimensions of logo: "450px x 70px" and Image type is .png)</p>
		<input type="hidden" name="MAX_FILE_SIZE" value="3000000" />
		<label class="upload">
			<p><input class="file" id="logo_upload" type="file" name="<?php echo THEME_PREFIX; ?>logo_upload" /></p>
		</label>
		<?php if (get_option($logo)) { ?>
			<p>
				<label for="sideblog_delete_logo">
					<input class="checkbox" id="sideblog_delete_logo" type="checkbox" name="<?php echo THEME_PREFIX; ?>delete_logo" value="true" /> Delete Logo...
				</label>
			</p>
			<img class="image-preview" src="<?php echo get_option($logo); ?>" alt="Logo Preview" />
		<?php } ?>
		<input type="hidden" name="<?php echo $logo; ?>" value="<?php echo get_option($banner); ?>" />
         <p>Enter optional white text logo name below. This text feature overrides uploaded logo images. Delete text in box below to convert back to uploaded logo image.</p>
    	<p><input class="option-field-medium" id="<?php echo $logo_text; ?>" type="text" name="<?php echo $logo_text; ?>" value="<?php echo get_option($logo_text); ?>" /></p>
       
       
        
       
        
        <p class="submit">
			<input type="submit" class="button" value="Save Changes" />
		</p>

    </div> <!-- inside -->

</div> <!-- postbox -->